//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/lensflare.h                                              $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:10 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:LensFlare effect
//

#ifndef __LENSFLARE_H__
#define __LENSFLARE_H__

#include "g_local.h"
#include "entity.h"


class LensFlare : public Entity
{
public:
	CLASS_PROTOTYPE( LensFlare );
	LensFlare( void );

	void        Activate( Event* ev );
	void        Deactivate( Event* ev );
	void        Lightstyle( Event* ev );
	void        SetLightstyle( Event* ev );
};


#endif /* lensflare.h */
